### Signal

# Shell WM::create-inhibit-shortcuts-dialog

#### Declaration

    MetaInhibitShortcutsDialog*
    create_inhibit_shortcuts_dialog (
      ShellWM* self,
      MetaWindow* window,
      gpointer user_data
    )

#### Description [src]

Creates an inhibit shortcuts dialog for the given window.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`window`

  Type: `MetaWindow`

  The window to create the dialog for.

  The data is owned by the caller of the function.

#### Return value

Type: `MetaInhibitShortcutsDialog`

The inhibit shortcuts dialog instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.